package com.muyu.marketing.domain.model;

import com.muyu.common.core.web.QueryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 团购活动列表查询模型
 *
 * @author: AmAg
 * @create: 2024-11-21 16:38
 **/
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoListQueryModel extends QueryModel<ActivityTeamInfoListQueryModel> {

    /**
     * 搜索关键字
     */
    private String keyWord;
    /**
     * 活动状态
     */
    private String status;

}
