package com.muyu.marketing.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamInfoResp{
    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private Double productPrice;
    /**
     * 拼团价格
     */
    private Double teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 商品库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    private String endTime;
    /**
     * 活动状态
     */
    private String status;
}
