package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;

public interface ActivityTeamProductSkuInfoService extends IService<ActivityTeamProductSkuInfo> {

    /**
     * 通过团购活动ID获取团购中最优惠的价格
     * @param teamId
     * @return
     */
    public ActivityTeamProductSkuInfo getDiscountPrice(Long teamId);

}
